<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.2.2.final using JasperReports Library version 6.2.2  -->
<!-- 2018-08-15T20:29:58 -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="รายงานสรุปบค.จ่ายงาน บันทึกผล_02 บันทึกผล_sub_01" pageWidth="842" pageHeight="595" orientation="Landscape" columnWidth="842" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" uuid="c960652d-9f62-4cde-a236-2e5809676da7">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="db.xml"/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w1" value="79"/>
	<property name="com.jaspersoft.studio.data.sql.SQLQueryDesigner.sash.w2" value="916"/>
	<property name="com.jaspersoft.studio.report.description" value=""/>
	<style name="DefaultStyle" isDefault="true" fontName="TH SarabunPSK" fontSize="14">
		<paragraph leftIndent="1" rightIndent="1"/>
	</style>
	<parameter name="P_START_DATE" class="java.util.Date"/>
	<parameter name="P_END_DATE" class="java.util.Date"/>
	<parameter name="P_GROUP_WORK_DIVISION" class="java.lang.String"/>
	<parameter name="P_LANGUAGE" class="java.lang.String"/>
	<parameter name="P_DIST_ID" class="java.lang.Integer"/>
	<parameter name="P_WORK_EMP_ID" class="java.lang.String"/>
	<queryString language="SQL">
		<![CDATA[SELECT  VEN.VCENTER_ID,
VEN.VCENTER_NO,
CASE WHEN VEN.VCENTER_NO IS NOT NULL THEN VEN.VCENTER_NO END || CASE WHEN VEN.EMP_ID IS NOT NULL THEN  ':' ||VEN.EMP_ID END || CASE WHEN VEN.EMP_ID IS NOT NULL THEN ' '|| VEN.EMP_NAME WHEN VEN.VCENTER_NAME IS NOT NULL THEN ' '||VEN.VCENTER_NAME END AS VENDER_NAME,
 LINE.ASSIGN_DATE,REQ_NO,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},CUST.CUST_NAME_TH,CUST.CUST_NAME_EN) AS CUST_NAME,
MET.METER_SIZE,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},V_ADD.ADDR_NAME_TH,V_ADD.ADDR_NAME_EN) AS CA_ADDR_NAME,
INS.UI,INS.MRU_ID,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},GT.TYPE_NAME_TH,GT.TYPE_NAME_EN) AS REQUEST_NAME,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},CMD.NAME_TH,CMD.NAME_TH) AS COMMAND_NAME,
LINE.WORK_DATE,
DECODE($P{P_LANGUAGE}, $P{P_LANGUAGE},CONFIG.NAME_TH,CONFIG.NAME_TH) AS CAUSE_NAME,
CASE WHEN (SELECT COUNT(LINE.OPERATION_ID) FROM REQ_T_REQUEST RE INNER JOIN REQ_T_REQUEST_LINE_OPERATION LINE ON LINE.REQ_ID = RE.REQ_ID AND LINE.RECORD_STATUS ='A' AND LINE.DIVISION =25 WHERE RE.REQ_ID = REQ.REQ_ID ) > 1 THEN
'เก่า' ELSE 'ใหม่' END AS WORK_TASK
FROM REQ_T_REQUEST REQ
LEFT JOIN REQ_M_GROUP_TYPE GT ON GT.GROUP_CODE = REQ.GROUP_CODE AND GT.TYPE_CODE = REQ.TYPE_CODE AND GT.RECORD_STATUS ='A'
INNER JOIN CONTRACT_ACCOUNT CA ON CA.CA = REQ.CA_ID AND CA.STATUS ='01'
INNER JOIN V_SCS_CUSTOMER CUST ON CUST.CUST_ID = REQ.CUST_ID 
INNER JOIN INSTALLATION INS ON INS.UI = CA.UI AND INS.STATUS = '01'
INNER JOIN CA_ADDRESS_MAP CA_ADD ON CA_ADD.CA = CA.CA AND CA_ADD.TYPE = 1 
LEFT JOIN V_SCS_ADDRESS V_ADD ON V_ADD.ADDR_NO = CA_ADD.ADDR_NO 
LEFT JOIN METER_SIZE_MASTER MET ON MET.METER_SIZE_ID = INS.METER_SIZE_ID AND MET.LANGUAGE_CODE = $P{P_LANGUAGE} 
INNER JOIN REQ_T_REQUEST_LINE_OPERATION LINE ON LINE.REQ_ID = REQ.REQ_ID AND LINE.RECORD_STATUS ='A' AND LINE.DIVISION =25
AND LINE.STATUS = 'OPEN' AND LINE.FLOW_STATUS ='MS_PRE_SAVE_RESULT' 
LEFT JOIN REQ_M_COMMAND CMD ON CMD.COMMAND_ID = LINE.CMD_CURRENT AND CMD.RECORD_STATUS='A'
LEFT JOIN REQ_T_REQUEST_SAVE_MS SAVE_MS ON SAVE_MS.REQ_ID = REQ.REQ_ID AND SAVE_MS.RECORD_STATUS ='A'
LEFT JOIN (SELECT c.* FROM adm_m_config c 
START WITH c.PARENT_config_ID IS NULL AND c.config_code = 'MS_OPTION_CAUSE' 
CONNECT BY PRIOR c.config_ID = c.PARENT_config_ID AND C.RECORD_STATUS = 'A') CONFIG ON CONFIG.CONFIG_CODE = SAVE_MS.CAUSE_STATUS
LEFT JOIN V_SCS_VENDER_CENTER VEN ON VEN.VCENTER_NO = LINE.GROUP_WORK_DIVISION AND VEN.EMP_ID = LINE.WORK_EMPID
WHERE REQ.RECORD_STATUS = 'A'
AND REQ.STATUS NOT IN('COMPLETE','CLOSE','CANCEL')
AND REQ.RESPONSIBLE_DIST_ID =  $P{P_DIST_ID} 
AND TRUNC(LINE.ASSIGN_DATE) BETWEEN $P{P_START_DATE} AND $P{P_END_DATE}
AND NVL(LINE.GROUP_WORK_DIVISION,-1) = NVL($P{P_GROUP_WORK_DIVISION},-1) AND NVL(LINE.WORK_EMPID,-1) = NVL($P{P_WORK_EMP_ID},-1)
ORDER BY REQ.REQ_NO ASC]]>
	</queryString>
	<field name="VCENTER_ID" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.label" value="VCENTER_ID"/>
	</field>
	<field name="VCENTER_NO" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="VCENTER_NO"/>
	</field>
	<field name="VENDER_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="VENDER_NAME"/>
	</field>
	<field name="ASSIGN_DATE" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="ASSIGN_DATE"/>
	</field>
	<field name="REQ_NO" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.label" value="REQ_NO"/>
	</field>
	<field name="CUST_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="CUST_NAME"/>
	</field>
	<field name="METER_SIZE" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="METER_SIZE"/>
	</field>
	<field name="CA_ADDR_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="CA_ADDR_NAME"/>
	</field>
	<field name="UI" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.label" value="UI"/>
	</field>
	<field name="MRU_ID" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="MRU_ID"/>
	</field>
	<field name="REQUEST_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="REQUEST_NAME"/>
	</field>
	<field name="COMMAND_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="COMMAND_NAME"/>
	</field>
	<field name="WORK_DATE" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.label" value="WORK_DATE"/>
	</field>
	<field name="CAUSE_NAME" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="CAUSE_NAME"/>
	</field>
	<field name="WORK_TASK" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="WORK_TASK"/>
	</field>
	<variable name="total_date" class="java.lang.Integer" resetType="Group" resetGroup="Group1"/>
	<group name="Group1">
		<groupExpression><![CDATA[$F{VCENTER_NO}]]></groupExpression>
		<groupHeader>
			<band height="33">
				<textField>
					<reportElement x="0" y="0" width="160" height="30" uuid="e36354da-5345-4e52-88a4-1ba3d027e153"/>
					<textFieldExpression><![CDATA[$P{P_GROUP_WORK_DIVISION}]]></textFieldExpression>
				</textField>
			</band>
		</groupHeader>
		<groupFooter>
			<band height="37">
				<textField>
					<reportElement style="DefaultStyle" x="430" y="2" width="190" height="30" uuid="82683415-7e19-4485-beb0-545df4b91889"/>
					<textElement verticalAlignment="Middle"/>
					<textFieldExpression><![CDATA["รวม จ่ายงาน "+$F{VCENTER_NO}]]></textFieldExpression>
				</textField>
				<textField>
					<reportElement style="DefaultStyle" x="620" y="2" width="90" height="30" uuid="4032665c-506b-4752-80ac-0e18a91379dc"/>
					<textElement verticalAlignment="Middle"/>
					<textFieldExpression><![CDATA[$V{Group1_COUNT}+" รายการ"]]></textFieldExpression>
				</textField>
			</band>
		</groupFooter>
	</group>
	<background>
		<band splitType="Stretch"/>
	</background>
	<detail>
		<band height="60" splitType="Stretch">
			<subreport>
				<reportElement x="0" y="0" width="800" height="60" uuid="48b9abf7-a148-49c3-ab97-72d41eea7638"/>
				<subreportParameter name="P_DIST_ID">
					<subreportParameterExpression><![CDATA[$P{P_DIST_ID}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_LANGUAGE">
					<subreportParameterExpression><![CDATA[$P{P_LANGUAGE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_START_DATE">
					<subreportParameterExpression><![CDATA[$P{P_START_DATE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_END_DATE">
					<subreportParameterExpression><![CDATA[$P{P_END_DATE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_GROUP_WORK_DIVISION">
					<subreportParameterExpression><![CDATA[$P{P_GROUP_WORK_DIVISION}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_WORK_EMP_ID">
					<subreportParameterExpression><![CDATA[$P{P_WORK_EMP_ID}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA["รายงานสรุปบค.จ่ายงาน บันทึกผล_02 บันทึกผล_sub_02.jasper"]]></subreportExpression>
			</subreport>
		</band>
	</detail>
</jasperReport>
